import request from "@/utils/request";

export function findUserIdList(data) {
  return request({
    url: '/datasources/assetAccredit/findUserIdList',
    method: 'post',
    data
  })
}

/**
 * 添加用户资产权限
 * @param data
 * @returns {AxiosPromise}
 */
export function addUserAssetAccredit(data) {
  return request({
    url: '/datasources/assetAccredit/addUserAssetAccredit',
    method: 'post',
    data
  })
}

/**
 * 删除用户资产权限
 * @param data
 * @returns {AxiosPromise}
 */
export function delUserAssetAccredit(data) {
  return request({
    url: '/datasources/assetAccredit/delUserAssetAccredit',
    method: 'post',
    data
  })
}


export function findDeptIdList(data) {
  return request({
    url: '/datasources/assetAccredit/findDeptIdList',
    method: 'post',
    data
  })
}

/**
 * 添加部门资产权限
 * @param data
 * @returns {AxiosPromise}
 */
export function addDeptAssetAccredit(data) {
  return request({
    url: '/datasources/assetAccredit/addDeptAssetAccredit',
    method: 'post',
    data
  })
}

/**
 * 删除部门资产权限
 * @param data
 * @returns {AxiosPromise}
 */
export function delDeptAssetAccredit(data) {
  return request({
    url: '/datasources/assetAccredit/delDeptAssetAccredit',
    method: 'post',
    data
  })
}
