import request from "@/utils/request";


/**
 * 添加规则引擎的请求
 * @param data
 * @returns {*}
 */
export function AddRuleEngineVersion(data) {
  return request({
    url: '/rule/version/insertVersion',
    method: 'Post',
    data
  })
}


/**
 * 激活
 * @param id
 *
 */
export function versionOpen(id) {
  return request({
    url: '/rule/version/activate/'+id,
    method: 'Post',
  })
}

/**
 * 禁用
 * @param id
 *
 */
export function versionDisable(id) {
  return request({
    url: '/rule/version/disable/'+id,
    method: 'Post',
  })
}

export function deposit(data) {
  return request({
    url: '/rule/version/deposit',
    method: 'Post',
    data
  })
}
export function selectVersionById(id) {
  return request({
    url: '/rule/version/selectVersionById/'+id,
    method: 'post',
  })
}
