import request from "@/utils/request";

export function getList(data) {
  return request({
    url: '/task/TaskInput/list',
    method: 'post',
    data
  })
}

export function save(data) {
  return request({
    url: '/task/TaskInput',
    method: 'post',
    data
  })
}
export function findById(id) {
  return request({
    url: `/task/TaskInput/${id}`,
    method: 'get'
  })
}
export function deleteInput(id) {
  return request({
    url: `/task/TaskInput/${id}`,
    method: 'delete'
  })
}
export function updateInfo(data) {
  return request({
    url: `/task/TaskInput/${data.id}`,
    method: 'put',
    data
  })
}
export function add(data){
  return request({
    url: `/task/nodeJoint/add`,
    method: 'post',
    data
  })
}
export function getById(id){
  return request({
    url: `/task/nodeJoint/${id}`,
    method: 'get'
  })
}
