import request from "@/utils/request";

export function addNodeTable(data) {
  return request({
    url: '/task/nodeTable',
    method: 'post',
    data
  })
}
export function findByNodeTableId(id) {
  return request({
    url: `/task/nodeTable/${id}`,
    method: 'get'
  })
}
export function deleteTableId(id) {
  return request({
    url: `/task/nodeTable/${id}`,
    method: 'delete'
  })
}
